Bug 249833 - IPW3945 wireless car not working with kernel 2.6.22.1
IPW3945 wireless car not working with kernel 2.6.22.1
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
i386 Linux
low Severity urgent
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-27 07:57 EDT by Sergio Morais Lietti
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-30 14:05:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sergio Morais Lietti 2007-07-27 07:57:30 EDT
Description of problem:
Wireless ipw395 does not work with new kernels 2.6.22 in a dell latitude d520. 

iwl3945/mac80211 does not detect wireless card when running kernels
2.6.22.1-27.fc7 and 2.6.22.1-33.fc7.

ipw3945 kernel module / driver, microcode firmware, regulatory daemon and
startup init script, following instructions at
http://www.fedoramobile.org/Members/opsec/intel-ipw3945-on-fedora-7/,
works fine on kernel 2.6.22.1-27.fc7 but does not work on kernel 
2.6.22.1-33.fc7 with same problem, cannot detect wireless card.

Version-Release number of selected component (if applicable):
iwlwifi-firmware.noarch  2.14.4-1
kernel-2.6.22.1-27.fc7
kernel-2.6.22.1-33.fc7
ipw3945-1.2.1, ipw3945d-1.7.22, ipw3945-ucode-1.14.2 

How reproducible:
always

Steps to Reproduce:
1. boot the kernel
2.
3.
  
Actual results:
Wireless does not work

Expected results:
Wireless working fine

Additional info:
Comment 1 John W. Linville 2007-07-27 11:11:49 EDT
I think the iwl3945 driver did not get built in at least one of those kernel 
versions.  Please try the kernels here:

   http://koji.fedoraproject.org/koji/buildinfo?buildID=12007

Do these work better for you?
Comment 2 Kyrre Ness Sjøbæk 2007-07-27 11:15:53 EDT
I have that laptop, and with the newest two kernels (cant say with older ones as
its under one week old, but the install kernel didn't work), it works. Just make
shure it's on when you switch on the laptop (fn-f2)
Comment 3 Kyrre Ness Sjøbæk 2007-07-27 11:16:53 EDT
Note that the led is'nt working, and if the killswitch is off during boot, i
have to reboot to get it on (and then tell neat not to activate the device on
boot...)
Comment 4 Sergio Morais Lietti 2007-07-27 18:18:37 EDT
(In reply to comment #1)
> I think the iwl3945 driver did not get built in at least one of those kernel 
> versions.  Please try the kernels here:
> 
>    http://koji.fedoraproject.org/koji/buildinfo?buildID=12007
> 
> Do these work better for you?

No, did not work. Same problems with both iwl3945 and ipw3945.
Comment 5 Sergio Morais Lietti 2007-07-27 18:26:21 EDT
(In reply to comment #3)
> Note that the led is'nt working, and if the killswitch is off during boot, i
> have to reboot to get it on (and then tell neat not to activate the device on
> boot...)

Not sure what I am doing wrong but wireless does not work in my laptop. In
previous kernels I have never needed to check if the wireless card was on 
(fn-f2) when I switch the laptop on.
Comment 6 Sergio Morais Lietti 2007-07-27 18:36:24 EDT
Once the kernels at http://koji.fedoraproject.org/koji/buildinfo?buildID=12007
did not help, I have removed then and reinstalled the official update version
2.6.22.1-33.fc7.
As mentioned by Kyrre, the led does not work with the iwl3945 driver. However
this driver was working in previous 2.6.21 kernels but was not stable. So I
decided to use the ipw3945 driver as advised by the site fedoramobile above, and
this driver was doing very well until this last kernel update. 
Comment 7 Sergio Morais Lietti 2007-07-27 18:59:54 EDT
After reinstalling the official update version 2.6.22.1-33.fc7, I tried once
again to use the driver ipw3945 and it is working now. I did the same steps I
used before without success with this same kernel and the koji's kernel. I have
no idea why it is working now.
Thank you all for the attention.
Sergio
Comment 8 John W. Linville 2007-07-30 14:05:03 EDT
Given comment 7, I have no evidence that there is an actual bug here.  I'm 
closing this as NOTABUG -- feel free to reopen if this issue can be recreated.

Note You need to log in before you can comment on or make changes to this bug.